TechDraw Dimension Horizontal/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Dimension Horizontal and the translation is 6% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Horizontal.svg TechDraw Dimension Horizontal

Расположение в меню
TechDraw → Dimension Horizontal
Верстаки
TechDraw
Быстрые клавиши
Shift + H
Представлено в версии
-
См. также
TechDraw Dimension Length, TechDraw Dimension Vertical

Description

The Dimension Horizontal tool adds a horizontal dimension to a View. The dimension may be between two vertices, the length of one edge or the horizontal distance between 2 edges. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw Dimension Link.svg Link Dimension tool.

TechDraw Dimension Horizontal example.png

Length dimension taken from two arbitrary nodes of the view; the distance is measured horizontally

Usage

  1. Select the points or edge which define your measurement.
  2. Press the TechDraw Dimension Horizontal.svg Dimension Horizontal button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Horizontal tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)